spring:
  shardingsphere:
    datasource:
      ds0:
        type: com.zaxxer.hikari.HikariDataSource
        driver-class-name: com.mysql.cj.jdbc.Driver
        url: jdbc:mysql://192.168.1.65:43306/mvp_social?characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=false&allowMultiQueries=true&useJDBCCompliantTimezoneShift=true&useLegacyDatetimeCode=false&serverTimezone=Asia/Shanghai&rewriteBatchedStatements=true&nullCatalogMeansCurrent=true&allowPublicKeyRetrieval=true
        username: root
        password: yf_zsk
        hikari:
          driver-class-name: ${spring.datasource.driver-class-name}
          jdbc-url: ${spring.datasource.url}
          username: ${spring.datasource.username}
          password: ${spring.datasource.password}
          pool-name: AmytangHikariCP
          minimum-idle: 10 # 最小空闲连接数量
          idle-timeout: 60000 # 空闲连接存活最大时间，默认600000（10分钟）
          maximum-pool-size: 12 # 连接池最大连接数，默认是10
          auto-commit: true  #此属性控制从池返回的连接的默认自动提交行为,默认值：true
          max-lifetime: 0 #此属性控制池中连接的最长生命周期，值0表示无限生命周期，默认1800000即30分钟
      names: ds0
    rules:
      sharding:
        key-generators:
          snowflake:
            type: SNOWFLAKE
        sharding-algorithms:
          t-payment-inline:
            props:
              strategy: standard
              algorithmClassName: com.yifu.cloud.plus.v1.yifu.social.config.OTAStrategyShardingAlgorithm
            type: CLASS_BASED
        tables:
          t_payment_info:
            actual-data-nodes: ds0.t_payment_info_20$->{17..23}
            key-generate-strategy:
              column: ID
              key-generator-name: snowflake
            table-strategy:
              standard:
                sharding-column: CREATE_TIME
                sharding-algorithm-name: t-payment-inline

  mvc:
    pathmatch:
      matching-strategy: ant_path_matcher
  config:
    activate:
      on-profile: test
  redis:
    host: 192.168.1.65
    port: 22379
    password: '@yf_2017'